Bug 652598 - Review Request: erlang-riak_core - Distributed systems infrastructure used by Riak
Review Request: erlang-riak_core - Distributed systems infrastructure used by...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 591926 638974 639263 652546 671884 680488 739014 739015 739016
Blocks: 652629 652665 652682 823101 823105 841766
  Show dependency treegraph
 
Reported: 2010-11-12 04:59 EST by Peter Lemenkov
Modified: 2012-08-05 02:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 12:46:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2010-11-12 04:59:15 EST
Spec URL: http://peter.fedorapeople.org/erlang-riak_core.spec
SRPM URL: http://peter.fedorapeople.org/erlang-riak_core-0.13.0-1.fc12.src.rpm
Description: Distributed systems infrastructure used by Riak

This is oen of the requirements for Riak itself. Still NotReady due to several missing dependencies.
Comment 2 Peter Lemenkov 2011-02-25 12:45:07 EST
Ver. 0.14.1:

http://peter.fedorapeople.org/erlang-riak_core.spec
http://peter.fedorapeople.org/erlang-riak_core-0.14.1-1.fc15.src.rpm

It's finally ready for review.
Comment 3 Peter Lemenkov 2012-06-11 12:55:18 EDT
Ok, now all build dependencies are available at least in Rawhide so here is the latest package:

Ver. 1.1.2:

* http://peter.fedorapeople.org/erlang-riak_core.spec
* http://peter.fedorapeople.org/erlang-riak_core-1.1.2-1.fc18.src.rpm

Koji scratchbuild for Rawhide:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4151640
Comment 4 Michel Alexandre Salim 2012-06-19 07:20:31 EDT
Taking this review
Comment 5 Michel Alexandre Salim 2012-07-12 00:47:42 EDT
Some minor issues involving definitions that are *only* needed for RHEL5 (drop them if you don't plan to support this release), and also - since upstream does not bundle the ASL 2.0 license text, please ask them to do so and put the link to the issue tracker in a comment above the license declaration.

Package is APPROVED

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking original sources for licenses No licenses found. Please
     check the source files for licenses manually.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
     Passes unit tests
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Architecture_Support
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.


Rpmlint
-------
Checking: 
0 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
Provides
--------
MD5-sum check
-------------


Generated by fedora-review 0.2.0git
External plugins:
Comment 6 Peter Lemenkov 2012-07-12 00:58:00 EDT
(In reply to comment #5)
> Some minor issues involving definitions that are *only* needed for RHEL5

I'll drop all that since I don't plan to support EL5.

> (drop them if you don't plan to support this release), and also - since
> upstream does not bundle the ASL 2.0 license text, please ask them to do so
> and put the link to the issue tracker in a comment above the license
> declaration.

I'll do it as well.

> Package is APPROVED

Thanks!

New Package SCM Request
=======================
Package Name: erlang-riak_core
Short Description: Distributed systems infrastructure used by Riak
Owners: peter
Branches: f17 el6
InitialCC:
Comment 7 Jason Tibbitts 2012-07-13 18:54:46 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-07-14 00:33:31 EDT
erlang-riak_core-1.1.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-riak_core-1.1.2-1.el6
Comment 9 Fedora Update System 2012-07-14 00:33:40 EDT
erlang-riak_core-1.1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-riak_core-1.1.2-1.fc17
Comment 10 Fedora Update System 2012-07-14 14:32:27 EDT
erlang-riak_core-1.1.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 11 Fedora Update System 2012-07-19 07:44:55 EDT
erlang-riak_core-1.1.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-riak_core-1.1.2-3.fc17
Comment 12 Fedora Update System 2012-07-19 07:45:07 EDT
erlang-riak_core-1.1.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-riak_core-1.1.2-3.el6
Comment 13 Fedora Update System 2012-07-27 21:18:22 EDT
erlang-riak_core-1.1.2-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-08-05 02:34:37 EDT
erlang-riak_core-1.1.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.